Bug 629324

Summary: Review Request: python-zc-buildout - System for managing development buildouts
Product: [Fedora] Fedora Reporter: Robin Lee <robinlee.sysu>
Component: Package ReviewAssignee: Jerry James <loganjerry>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, jonathansteffan, loganjerry, notting, rbean, supercyper1
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: loganjerry: fedora‑review+
limburgher: fedora‑cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-zc-buildout-1.5.2-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-08 19:06:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 963651    

Description Robin Lee 2010-09-01 12:09:21 EDT
Spec URL: http://cheeselee.fedorapeople.org/python-zc-buildout.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zc-buildout-1.5.1-1.fc13.src.rpm
Description:
The Buildout project provides support for creating applications,
especially Python applications.  It provides tools for assembling
applications from multiple parts, Python or otherwise.  An application
may actually contain multiple programs, processes, and configuration
settings.

rpmlint results:
$ rpmlint ./python-zc-buildout.spec 
./python-zc-buildout.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-zc-buildout-1.5.1-1.fc13.src.rpm 
python-zc-buildout.src: W: spelling-error Summary(en_US) buildouts -> build outs, build-outs, buildups
python-zc-buildout.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint ./python-zc-buildout-1.5.1-1.fc13.noarch.rpm 
python-zc-buildout.noarch: W: spelling-error Summary(en_US) buildouts -> build outs, build-outs, buildups
python-zc-buildout.noarch: W: no-manual-page-for-binary buildout
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

The %clean section is kept for F-12's sake.
Comment 1 Robin Lee 2010-09-01 12:11:19 EDT
*** Bug 521707 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2011-01-19 17:28:36 EST
Are you sure this shouldn't be named python-zc.buildout?  (I'm not sure myself; the egg is named with a ot but I'm not sure how you import the package.)

The current version seems to be 1.5.2.

Source0: http://pypi.python.org/packages/source/%(echo %{modname} | sed -r 's|^(.).*|\1|')/%{modname}/%{modname}-%{version}.tar.gz

Is that really better than just dispensing with the macros?  At least, just using 'z' seems significantly shorter and it's closer to being readable as well.

Also, there's no point in keeping anything for F12's sake as F12 is no longer supported.

What are the txt files doing down with the python source files?  They look like documentation.
Comment 3 Robin Lee 2011-01-27 02:33:25 EST
Spec URL: http://cheeselee.fedorapeople.org/python-zc-buildout.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-zc-buildout-1.5.2-1.fc14.src.rpm

Changes:
- 1.5.2
- Don't use sed command in Source0 URI
- Remove the doctest text files.
- Clean up obsolete lines

$ rpmlint ./python-zc-buildout-1.5.2-1.fc14.noarch.rpm 
python-zc-buildout.noarch: W: spelling-error Summary(en_US) buildouts -> build outs, build-outs, buildups
python-zc-buildout.noarch: W: no-manual-page-for-binary buildout
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


(In reply to comment #2)
> Are you sure this shouldn't be named python-zc.buildout?  (I'm not sure myself;
> the egg is named with a ot but I'm not sure how you import the package.)
'When a module has a dot in its name, the usual rule about changing "." to "-" applies. '
quoted from the just updated naming guideline: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29

> 
> Source0: http://pypi.python.org/packages/source/%(echo %{modname} | sed -r
> 's|^(.).*|\1|')/%{modname}/%{modname}-%{version}.tar.gz
> 
> Is that really better than just dispensing with the macros?  At least, just
> using 'z' seems significantly shorter and it's closer to being readable as
> well.
OK.

> 
> Also, there's no point in keeping anything for F12's sake as F12 is no longer
> supported.
OK. The review request was submitted when F12 was still supported.

> 
> What are the txt files doing down with the python source files?  They look like
> documentation.
They are doctest text files. I will exclude them.
Comment 4 Jerry James 2011-04-27 13:11:31 EDT
I'll take this review.
Comment 5 Jerry James 2011-04-27 13:40:51 EDT
I like your marking convention for reviews, so I'll use that below with one addition:

+:ok
=:needs attention
-:needs fixing
N:not applicable (N/A)

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint python-zc-buildout.spec python-zc-buildout
python-zc-buildout.noarch: W: spelling-error Summary(en_US) buildouts -> build outs, build-outs, buildups
python-zc-buildout.noarch: W: no-manual-page-for-binary buildout
1 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
$ md5sum zc.buildout-1.5.2.tar.gz
87f7b3f8d13926c806242fd5f6fe36f7  zc.buildout-1.5.2.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[N] MUST: If the package does not build on some arch, it must be listed in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires.
[N] MUST: Locales must be handled properly.
[N] MUST: ldconfig must be called for all subpackages that install libraries.
[+] MUST: No copies of system libraries may be installed.
[+] MUST: The package must not be relocatable.
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[N] MUST: Large documentation should go into a separate -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[N] MUST: Header files must be in a -devel package.
[N] MUST: Static libraries must be in a -static package.
[N] MUST: If there are files named *.so.*, then files named *.so must go in -devel.
[N] MUST: Packages must not contain any libtool archives.
[N] MUST: Packages containing GUI applications must include a desktop file.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[N] SHOULD: The description and summary sections should contain non-English translations, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures (I tested i686 and x86_64).
[+] SHOULD: The reviewer should test that the package functions as described.
[N] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N] SHOULD: Subpackages other than devel should require the main package.
[N] SHOULD: Sane placement of pkgconfig files.
[N] SHOULD: Replace some file dependencies with package dependencies.
[=] SHOULD: The package should contain man pages for binaries/scripts.

All MUST items are okay.  Please consider the two SHOULD items marked above, but I won't hold up approval of the package for them.

This package is APPROVED.
Comment 6 Robin Lee 2011-04-27 14:57:25 EDT
New Package SCM Request
=======================
Package Name: python-zc-buildout
Short Description: System for managing development buildouts
Owners: cheeselee
Branches: f14 f15
Comment 7 Dennis Gilmore 2011-04-28 12:07:01 EDT
Git done (by process-git-requests).
Comment 8 Ralph Bean 2014-01-29 14:06:49 EST
Package Change Request
======================
Package Name: python-zc-buildout
New Branches: el6 epel7
Owners: ralph
InitialCC:
Comment 9 Ralph Bean 2014-01-29 14:12:10 EST
Noting that I am the current owner of the package in Fedora.
Comment 10 Jon Ciesla 2014-01-29 15:08:46 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-01-29 15:43:56 EST
python-zc-buildout-2.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-zc-buildout-2.2.1-2.el6
Comment 12 Fedora Update System 2014-02-06 16:09:31 EST
python-zc-buildout-2.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.